/* $Header: /src/carson/nistnet/monitor/RCS/xnistnet.h,v 1.1 1997/10/20 17:40:06 carson Exp carson $ */

/* General routines */
void fixname(char *hostname, unsigned long addr);

/* "synchro" scrolling (experimental) */
#include <X11/Intrinsic.h>              /*  basic type and function decls */
#include <X11/StringDefs.h>             /*  proper names of everything */

struct _synchroWho {
	Widget who;
	double xwhere, ywhere;
};

typedef struct _synchroWho SynchroWho;

struct _synchroPeer {
	struct _synchroPeer *peer;
	Boolean vertical;
	Boolean ignoreme;
	SynchroWho *who;
};

typedef struct _synchroPeer SynchroPeer;

/* synchro scroll routines */
/* scroll callback */
void SynchroScroll(Widget w, XtPointer client_data, XtPointer call_data);
/* allocate */
SynchroWho * MakeSynchroWho(Widget w);
/* create and store pair */
void SynchroPair(SynchroWho *first, SynchroWho *second, Boolean vertical);
/* synchro scroll touchup */
void SquashBar(Widget first, Boolean vertical);
void CamouflageBar(Widget first, Boolean vertical);


Pixmap XMineCreatePixmapFromData(Display *display, Drawable d, char *data[],
	unsigned int *width_return, unsigned int *height_return);
